{{#each report.rowGroups}}
{{#if hasRows}}

  <table class="salaxy-accounting-report-table report-table columns-four">
    {{#unless isHidden}}
      <thead style="display: table-header-group;">
          {{#if isTotals }}
          <tr>
              <th><h3>{{t groupingTerm}}</h3></th>
              <th>{{t "SALAXY.REPORTS.salary.heading.percentOf" }}</th>
              <th>{{t "SALAXY.REPORTS.salary.heading.fromSum" }}</th>
              <th>{{t "SALAXY.REPORTS.salary.heading.euros" }}</th>
          </tr>
          {{else if isUndefined }}
          <tr>
              <th><h3>{{t groupingTerm}}</h3></th>
              <th>{{t "SALAXY.REPORTS.salary.heading.percentOf" }}</th>
              <th>{{t "SALAXY.REPORTS.salary.heading.fromSum" }}</th>
              <th>{{t "SALAXY.REPORTS.salary.heading.euros" }}</th>
          </tr>
          {{else}}
          <tr>
              <th><h3>{{t groupingTerm}}</h3></th>
              <th>{{t "SALAXY.REPORTS.salary.heading.amount" }}</th>
              <th>{{t "SALAXY.REPORTS.salary.heading.aPrice" }}</th>
              <th>{{t "SALAXY.REPORTS.salary.heading.euros" }}</th>
          </tr>
          {{/if}}
      </thead>
      <tbody>
            {{#each rows }}
            <tr>
                <td>
                    {{t data.irRow.message }}{{#if data.comment}}
                    <span style="font-size: 0.8em;">&nbsp;{{t data.comment}}</span>{{/if}}
                </td>
                {{#if data.isUnitPercent }}
                <td>{{p data.irRow.count nullChar=' '}}</td>
                {{else}}
                <td>{{data.irRow.count}}</td>
                {{/if}}
                <td>{{c data.irRow.price nullChar=' '}}</td>
                <td>{{c subTotal}}</td>
            </tr>
            {{/each}}
            {{#unless isTotals}}
            <tr class="total">
                <td>{{t totalTerm }}</td>
                <td></td>
                <td></td>
                <td>{{c total }}</td>
            </tr>
            {{/unless}}
      </tbody>
      {{/unless}}
      {{#if isTotals}}
      <tfoot>
          <tr class="total">
              <th colspan="3">{{t "SALAXY.REPORTS.salary.heading.palkkausFee" }}</th>
              <th>{{c total }}</th>
          </tr>
      </tfoot>
      {{/if}}
  </table>
{{/if}}
{{/each}}